---
sidebar_label: FrameAddScriptTagOptions
---

# FrameAddScriptTagOptions interface

**Signature:**

```typescript
export interface FrameAddScriptTagOptions
```

## Properties

| Property                                                    | Modifiers | Type   | Description                                                                                                      |
| ----------------------------------------------------------- | --------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| [content?](./puppeteer.frameaddscripttagoptions.content.md) |           | string | <i>(Optional)</i> Raw JavaScript content to be injected into the frame.                                          |
| [path?](./puppeteer.frameaddscripttagoptions.path.md)       |           | string | <i>(Optional)</i> The path to a JavaScript file to be injected into the frame.                                   |
| [type?](./puppeteer.frameaddscripttagoptions.type.md)       |           | string | <i>(Optional)</i> Set the script's <code>type</code>. Use <code>module</code> in order to load an ES2015 module. |
| [url?](./puppeteer.frameaddscripttagoptions.url.md)         |           | string | <i>(Optional)</i> the URL of the script to be added.                                                             |
